
Foreman - Bug #14607

Override hash value on host shows "[object Object]" instead of value

04/13/2016 08:27 AM - Loic FONTAINE

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you are trying to override an hash value in Host ==> Puppet class parameter it shows [object Object] instead of the parameter

value

History

#1 - 04/13/2016 09:54 AM - Dominic Cleal

- Subject changed from Override hash value on host to Override hash value on host shows "[object Object]" instead of value

- Category set to Parameters

Could you show a screenshot?  Is this any hash parameter, and what value's already in the hash (is it JSON or YAML)?  Perhaps using the

YAML/JSON modes specifically works around the problem.

Also, which version of Foreman is this?

#2 - 04/13/2016 10:21 AM - Loic FONTAINE

This bug issued when I updated to Foreman 1.11 : this value already existed in Foreman 1.10.

But now when I create a new hash value it works perfectly :)

#3 - 04/13/2016 10:23 AM - Dominic Cleal

- translation missing: en.field_release set to 141

Tentatively setting to 1.11.x as the error might be from the JS override.

#4 - 04/18/2016 10:32 AM - Dominic Cleal

- translation missing: en.field_release changed from 141 to 155

#5 - 05/18/2016 05:56 AM - Dominic Cleal

- translation missing: en.field_release changed from 155 to 159

#6 - 06/21/2016 03:48 AM - Dominic Cleal

- Status changed from New to Resolved

- translation missing: en.field_release deleted (159)

This didn't get fixed in 1.11.x, and since it seems to work for you now, I'll close it. If it recurs then we can re-open. Thanks for the report!
